org.apache.cassandra.streaming

## Class StreamOutSession

- java.lang.Object
- - org.apache.cassandra.streaming.AbstractStreamSession
  - - org.apache.cassandra.streaming.StreamOutSession

- All Implemented Interfaces:
    IEndpointStateChangeSubscriber, IFailureDetectionEventListener

      public class StreamOutSession
      extends AbstractStreamSession

  This class manages the streaming of multiple files one after the other.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.streaming.AbstractStreamSession

      `callback, host, sessionId, table`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFilesToStream(java.util.List<PendingFile> pendingFiles)`
    `void` | `begin()`
    `protected void` | `closeInternal(boolean success)`
    `static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, IStreamCallback callback)`
    `static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, java.util.UUID sessionId)`
    `static StreamOutSession` | `create(java.lang.String table, java.net.InetAddress host, java.util.UUID sessionId, IStreamCallback callback)`
    `static StreamOutSession` | `get(java.util.UUID sessionId)`
    `static java.util.Set<java.net.InetAddress>` | `getDestinations()`
    `java.util.Collection<PendingFile>` | `getFiles()`
    `static java.util.List<PendingFile>` | `getOutgoingFiles(java.net.InetAddress host)`
    `void` | `retry()`
    `void` | `startNext()`
    `void` | `validateCurrentFile(java.lang.String file)`

    - ### Methods inherited from class org.apache.cassandra.streaming.AbstractStreamSession

      `close, convict, getHost, getSessionId, onAlive, onChange, onDead, onJoin, onRemove, onRestart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static StreamOutSession create(java.lang.String table,
                                java.net.InetAddress host,
                                IStreamCallback callback)

    - #### create

          public static StreamOutSession create(java.lang.String table,
                                java.net.InetAddress host,
                                java.util.UUID sessionId)

    - #### create

          public static StreamOutSession create(java.lang.String table,
                                java.net.InetAddress host,
                                java.util.UUID sessionId,
                                IStreamCallback callback)

    - #### get

          public static StreamOutSession get(java.util.UUID sessionId)

    - #### addFilesToStream

          public void addFilesToStream(java.util.List<PendingFile> pendingFiles)

    - #### retry

          public void retry()

    - #### startNext

          public void startNext()

    - #### closeInternal

          protected void closeInternal(boolean success)

      Specified by:
        `closeInternal` in class `AbstractStreamSession`

    - #### getFiles

          public java.util.Collection<PendingFile> getFiles()

    - #### getDestinations

          public static java.util.Set<java.net.InetAddress> getDestinations()

    - #### getOutgoingFiles

          public static java.util.List<PendingFile> getOutgoingFiles(java.net.InetAddress host)

    - #### validateCurrentFile

          public void validateCurrentFile(java.lang.String file)

    - #### begin

          public void begin()

Copyright © 2014 The Apache Software Foundation